diff --git a/run/network.sh b/run/network.sh
index 967b6d5..4832718 100644
--- a/run/network.sh
+++ b/run/network.sh
@@ -31,8 +31,8 @@ configureDHCP() {
{ ip link add link "${VM_NET_DEV}" "${VM_NET_VLAN}" type macvlan mode bridge ; rc=$?; } || :
if (( rc != 0 )); then
- echo -n "ERROR: Cannot create macvlan interface. Please make sure the network type is 'macvlan' and not 'ipvlan'."
- echo " And that the NET_ADMIN capability has been added to the container config: --cap-add NET_ADMIN" && exit 15
+ echo "ERROR: Cannot create macvlan interface. Please make sure the network type is 'macvlan' and not 'ipvlan',"
+ echo "ERROR: and that the NET_ADMIN capability has been added to the container config: --cap-add NET_ADMIN" && exit 15
fi
ip address add "${IP}" dev "${VM_NET_VLAN}"
@@ -226,14 +226,9 @@ if [[ "${DHCP}" == [Yy1]* ]]; then
# Configuration for DHCP IP
configureDHCP
- # Display the received IP on port 5000
- HTML="DSM is using another IP address.
Check the Docker logfile to see which one was
assigned, or download the\
- \
- Synology Assistant utility."
-
pkill -f server.sh || true
- /run/server.sh 80 "${HTML}" > /dev/null &
- /run/server.sh 5000 "${HTML}" > /dev/null &
+ /run/server.sh 80 ipinfo > /dev/null &
+ /run/server.sh 5000 ipinfo > /dev/null &
else